%define name	poweradmin
%define version	1.2.7
%define release	4mdk
%define webadminroot /var/www/html/admin

Summary:	PowerAdmin is a Web-based frontend for the PowerDNS DNS server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	QPL
Url:		http://poweradmin.org/
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	webserver php-common mod_php php-pear php-mysql
Requires:	PowerDNS-backend-mysql
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
PowerAdmin is a Web-based frontend for the PowerDNS DNS server.
It interfaces with PowerDNS's generic database backends, such
as MySQL, PostgreSQL, and Oracle, to add/modify/delete both
forward and reverse zones, with full IPv6 support. 

Please read the README file in /usr/share/doc/poweradmin-<version>
on how to set up a user for mysql.

%prep

%setup -q -n %{name}-%{version}

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{webadminroot}/%{name}
cp -aRf * %{buildroot}%{webadminroot}/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/ChangeLog docs/README*
%dir %{webadminroot}
%dir %{webadminroot}/%{name}
%{webadminroot}/%{name}/*

%changelog
* Fri Apr 29 2005 Marcel Pol <mpol@mandriva.org> 1.2.7-4mdk
- rebuild

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 1.2.7-3mdk
- fix typo

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 1.2.7-2mdk
- own dir

* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 1.2.7-1mdk
- 1.2.7

* Mon Apr 07 2003 Marcel Pol <mpol@gmx.net> 1.2.4-2mdk
- requires s/powerdns-mysql/powerdns-backend-mysql

* Mon Mar 17 2003 Marcel Pol <mpol@gmx.net> 1.2.4-1mdk
- initial release

